Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Labor

  • List break types

  • Create break type

  • Delete break type

  • Get break type

  • Update break type

  • Create scheduled shift

  • Bulk publish scheduled shifts

  • Search scheduled shifts

  • Retrieve scheduled shift

  • Update scheduled shift

  • Publish scheduled shift

  • List team member wages

  • Get team member wage

  • Create timecard

  • Search timecards

  • Delete timecard

  • Retrieve timecard

  • Update timecard

  • List workweek configs

  • Update workweek config

  • Webhooks

  • labor.scheduled_shift.created

  • labor.scheduled_shift.deleted

  • labor.scheduled_shift.published

  • labor.scheduled_shift.updated

  • labor.timecard.created

  • labor.timecard.deleted

  • labor.timecard.updated

<- Labor API

Labor API

All versions ->

Create break type

POST

 /v2/labor/break-types

Creates a new BreakType.

A BreakType is a template for creating Break objects. You must provide the following values in your request to this endpoint:

  • location_id
  • break_name
  • expected_duration
  • is_paid

You can only have three BreakType instances per location. If you attempt to add a fourth BreakType for a location, an INVALID_REQUEST_ERROR "Exceeded limit of 3 breaks per location." is returned.

Permissions:TIMECARDS_SETTINGS_WRITE
Try in API Explorer
Link to section

Request body

Example code

Link to section

idempotency_key

string

A unique string value to ensure the idempotency of the operation.

Max Length
128
Link to section

break_type

Required

The BreakType to be created.

Link to section

Response fields

Link to section

break_type

The BreakType that was created by the request.

Link to section

errors

Any errors that occurred during the request.

Link to section

Examples

All versions ->

POST /v2/labor/break-types
curl https://connect.squareup.com/v2/labor/break-types \ -X POST \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "idempotency_key": "PAD3NG5KSN2GL", "break_type": { "location_id": "CGJN03P1D08GF", "break_name": "Lunch Break", "expected_duration": "PT30M", "is_paid": true } }'

Response JSON

{ "break_type": { "id": "49SSVDJG76WF3", "location_id": "CGJN03P1D08GF", "break_name": "Lunch Break", "expected_duration": "PT30M", "is_paid": true, "version": 1, "created_at": "2019-02-26T22:42:54Z", "updated_at": "2019-02-26T22:42:54Z" } }